Bug 524431 - Reproducible hang with 100% CPU load
Summary: Reproducible hang with 100% CPU load
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 13
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 05:39 UTC by Jan Kratochvil
Modified: 2013-04-02 04:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:23:56 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2009-09-20 05:39:41 UTC
Description of problem:
Just load one PDF.

Version-Release number of selected component (if applicable):
evince-2.27.90-1.fc12.x86_64 evince-libs-2.27.90-1.fc12.x86_64 GConf2-2.27.0-1.fc12.x86_64 ORBit2-2.14.17-3.fc12.x86_64 atk-1.27.90-1.fc12.x86_64 cairo-1.8.8-3.fc12.x86_64 dbus-glib-0.82-2.fc12.x86_64 dbus-libs-1.2.16-5.fc12.x86_64 expat-2.0.1-7.x86_64 fontconfig-2.7.3-1.fc12.x86_64 freetype-2.3.9-6.fc12.x86_64 glib2-2.21.6-1.fc12.x86_64 glibc-2.10.90-22.x86_64 gnome-keyring-2.27.92-1.fc12.x86_64 gtk-nodoka-engine-0.7.2-6.fc12.x86_64 gtk2-2.17.11-3.fc12.x86_64 gvfs-1.3.6-2.fc12.x86_64 kernel-2.6.30.5-43.fc11.x86_64 lcms-libs-1.18-3.fc12.x86_64 libICE-1.0.6-1.fc12.x86_64 libSM-1.1.0-7.fc12.x86_64 libX11-1.2.99-5.20090805.fc12.x86_64 libXau-1.0.5-1.fc12.x86_64 libXcomposite-0.4.0-10.fc12.x86_64 libXcursor-1.1.10-1.fc12.x86_64 libXdamage-1.1.1-9.fc12.x86_64 libXext-1.0.99.4-3.fc12.x86_64 libXfixes-4.0.3-8.fc12.x86_64 libXi-1.2.99-11.20090825.fc12.x86_64 libXinerama-1.0.99.1-1.fc12.x86_64 libXrandr-1.3.0-3.fc12.x86_64 libXrender-0.9.4-7.fc12.x86_64 libattr-2.4.43-4.fc12.x86_64 libcanberra-0.17-2.fc12.x86_64 libcanberra-gtk2-0.17-2.fc12.x86_64 libcap-2.16-5.fc12.x86_64 libgcc-4.4.1-15.x86_64 libjpeg-6b-46.fc12.x86_64 libogg-1.1.4-2.fc12.x86_64 libpng-1.2.39-1.fc12.x86_64 libselinux-2.0.86-2.fc12.x86_64 libstdc++-4.4.1-15.x86_64 libtdb-1.1.5-2.fc12.x86_64 libtool-ltdl-2.2.6-13.fc12.x86_64 libudev-145-7.fc12.x86_64 libuuid-2.16-10.fc12.x86_64 libvorbis-1.2.3-2.fc12.x86_64 libxcb-1.4-1.fc12.x86_64 libxml2-2.7.4-2.fc12.x86_64 openjpeg-libs-1.3-6.fc12.x86_64 pango-1.25.6-1.fc12.x86_64 pixman-0.16.0-1.fc12.x86_64 poppler-0.12.0-1.fc12.x86_64 poppler-glib-0.12.0-1.fc12.x86_64 zlib-1.2.3-23.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
evince http://www.stkaiser.de/anleitung/files/OTi6858.pdf

Actual results:
Empty page, "LOADING", 100% CPU.

Expected results:
Displayed PDF.

Additional info:

Comment 1 Marek Kašík 2009-10-26 15:02:24 UTC
Hi,

the problem here is that poppler takes a lot of time to render the first page of the document and renders it incorrectly. It was introduced in upstream by the commit "Implement text in pattern colorspace for the cairo backend" (SHA1 ID = "e521c1efaeba3f35d10e46bca3d9650dabd2d889").

=> reassigning to poppler

Marek

Comment 3 Bug Zapper 2009-11-16 12:40:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-11-04 09:55:09 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jan Kratochvil 2010-11-04 16:11:31 UTC
evince-2.30.3-1.fc13.x86_64
poppler-0.12.4-6.fc13.x86_64

Comment 6 Bug Zapper 2011-06-02 17:43:12 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 14:23:56 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.